summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-crypt/heimdal/files/heimdal-kpasswdd.initd')
-rw-r--r--app-crypt/heimdal/files/heimdal-kpasswdd.initd29
1 files changed, 29 insertions, 0 deletions
diff --git a/app-crypt/heimdal/files/heimdal-kpasswdd.initd b/app-crypt/heimdal/files/heimdal-kpasswdd.initd
new file mode 100644
index 000000000000..905522d0eba6
--- /dev/null
+++ b/app-crypt/heimdal/files/heimdal-kpasswdd.initd
@@ -0,0 +1,29 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-crypt/heimdal/files/heimdal-kpasswdd.initd,v 1.1 2010/05/09 03:50:52 darkside Exp $
+
+depend() {
+ need net
+ use heimdal-kdc
+ after logger
+}
+
+start() {
+ ebegin "Starting Heimdal kpasswdd"
+ start-stop-daemon --background --start --quiet --exec \
+ /usr/sbin/kpasswdd
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping Heimdal kpasswdd"
+ start-stop-daemon --stop --quiet --exec \
+ /usr/sbin/kpasswdd
+ eend $?
+}
+
+restart() {
+ svc_stop
+ svc_start
+}